{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/VishalMishra-7f0/A115OvdClassificationApi/1.0.0","variables":{"basePath":{"default":"/api/classify","description":"Base path for API"}}}],"info":{"description":"This API helps in determining the class of an Ovd Image","version":"1.0.0","title":"A115-Ovd Classification API","contact":{"email":"trackwizz@tssconsultancy.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"admins","description":"Secured Admin-only calls"},{"name":"developers","description":"Operations available to regular developers"}],"paths":{"/":{"post":{"tags":["developers"],"summary":"classify the ovd image","operationId":"classifyImage","description":"classify the ovd image","security":[{"bearerAuth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseOvdRequestDto"}},"multipart/form-data":{"schema":{"type":"object","properties":{"imageData":{"type":"string"}}}}},"description":"classify the ovd image"},"responses":{"200":{"description":"document classified successfully","content":{"application/json":{"schema":{"type":"object","items":{"$ref":"#/components/schemas/ApiResponseDtoClassifyResponseDto"},"example":{"success":true,"message":"string","data":{"ovdType":"string"},"error":{},"requestId":"string"}}}}}}}},"/TokenCache":{"get":{"tags":["admins"],"summary":"get all blacklisted tokens from cache","operationId":"getBlacklistedTokensFromCache","description":"get all blacklisted tokens from cache","responses":{"200":{"description":"successfully got the blacklisted tokens from cache","content":{"application/json":{"schema":{"type":"object","items":{"$ref":"#/components/schemas/ApiResponseDtoMapStringCachedToken"},"example":{"success":true,"message":"string","data":{"additionalProp1":{"hash":"string","expiry":"string"},"additionalProp2":{"hash":"string","expiry":"string"},"additionalProp3":{"hash":"string","expiry":"string"}},"error":{},"requestId":"string"}}}}}}}},"/tokencache/refresh":{"get":{"tags":["admins"],"summary":"Clears all existing cache and loads blacklisted tokens from db","operationId":"clearExistingCacheAndLoadBlacklistedTokensFromDB","description":"Clears all existing cache and loads blacklisted tokens from db","responses":{"200":{"description":"successfully cleared all existing cache and loaded blacklisted tokens from db","content":{"application/json":{"schema":{"type":"object","items":{"$ref":"#/components/schemas/ApiResponseDtoMapStringCachedToken"},"example":{"success":true,"message":"string","data":{"additionalProp1":{"hash":"string","expiry":"string"},"additionalProp2":{"hash":"string","expiry":"string"},"additionalProp3":{"hash":"string","expiry":"string"}},"error":{},"requestId":"string"}}}}}}}}},"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"BaseOvdRequestDto":{"type":"object","required":["imageData"],"properties":{"imageData":{"type":"string","format":"string","example":"string"}}},"ApiResponseDtoClassifyResponseDto":{"type":"object","required":["success","message","data","error","requestId"],"properties":{"success":{"type":"boolean"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/ClassifyResponseDto"},"error":{"type":"object"},"requestId":{"type":"string"}}},"ClassifyResponseDto":{"type":"object","required":["ovdType"],"properties":{"ovdType":{"type":"string"}}},"ApiResponseDtoMapStringCachedToken":{"type":"object","required":["success","message","data","error","requestId"],"properties":{"success":{"type":"boolean"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/CachedToken"},"error":{"type":"object"},"requestId":{"type":"string"}}},"CachedToken":{"type":"object","required":["hash","expiry"],"properties":{"hash":{"type":"string"},"expiry":{"type":"string"}}}}}}